{
   onPrepareHit(source, target, move) {
      if (
        !move.flags['punch'] ||
        move.multihit ||
        move.category === 'Status'
      ) {
        return;
      }

      move.multihit = [2, 2];
      move.oraoraSecondHit = true;
    },

    onModifyDamage(damage, source, target, move) {
      if (move.oraoraSecondHit && move.hit > 1) {
        return this.chainModify(0.5);
      }
    },

    name: "ORAORAORAORA",
    shortDesc: "Punching moves hit twice; second hit does 0.5× damage.",
    rating: 4,
    num: -1001,
}
